import _slicedToArray from "@babel/runtime/helpers/esm/slicedToArray";
import { Accordion, AccordionDetails, AccordionSummary, Box } from "@mui/material";
import React from "react";
import { useState } from "react";

var SidebarBox = function SidebarBox(_ref) {
  var children = _ref.children,
      icon = _ref.icon,
      title = _ref.title,
      info = _ref.info,
      expandedByDefault = _ref.expandedByDefault;

  // eslint-disable-next-line
  var _useState = useState(expandedByDefault),
      _useState2 = _slicedToArray(_useState, 2),
      expanded = _useState2[0],
      setExpanded = _useState2[1];

  return React.createElement(Box, {
    sx: {
      borderTop: "1px solid #a8a8a8",
      // borderRight: "1px solid #a8a8a8",
      // minHeight: expanded ? 350 : 0,
      // borderBottom: "1px solid #a8a8a8",
      // borderRadius: "4px",
      // mt: "8px",
      // ml: "8px",
      // m: "8px",
      height: "100%"
    }
  }, React.createElement(Accordion, {
    expanded: expanded,
    elevation: 0,
    sx: {
      height: "100%",
      // borderBottom: "1px solid #A8A8A8",
      // borderTop: "1px solid #A8A8A8",
      "& .MuiCollapse-root": {
        maxHeight: "90%",
        overflow: "auto",
        "&::-webkit-scrollbar-thumb:hover": {
          backgroundColor: "#555"
        },
        "&::-webkit-scrollbar-track": {
          // borderRadius: "4px",
          backgroundColor: "#f5f5f5",
          WebkitBoxShadow: "inset 0 0 12px rgba(0,0,0,0.3)"
        },
        "&::-webkit-scrollbar": {
          width: "12px",
          backgroundColor: "#f5f5f5"
        },
        "&::-webkit-scrollbar-thumb": {
          // borderRadius: "4px",
          backgroundColor: "#afb5b8",
          WebkitBoxShadow: "inset 0 0 12px rgba(0,0,0,0.3)"
        }
      }
    }
  }, React.createElement(AccordionSummary, {
    sx: {
      pointerEvents: "none",
      "& .MuiAccordionSummary-content": {
        display: "flex",
        alignItems: "center",
        gap: "6px",
        margin: 0
      },
      "& .MuiAccordionSummary-content.Mui-expanded": {
        margin: 0
      }
    } // expandIcon={
    //   <IconButton
    //     sx={{ pointerEvents: "auto" }}
    //     onClick={() => setExpanded((prev) => !prev)}
    //   >
    //     <ExpandMoreIcon style={{ cursor: "pointer" }} />
    //   </IconButton>
    // }

  }, icon, React.createElement("span", {
    style: {
      fontSize: "15px",
      fontWeight: "bold"
    }
  }, title), info), React.createElement(AccordionDetails, {
    sx: {
      p: 0,
      maxHeight: "100%",
      overflow: "auto",
      pb: "100px"
    }
  }, children)));
};

export default SidebarBox;